OpenVDB: BBox< Vec3T, true > Struct Template Reference

OpenVDB 9.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
BBox< Vec3T, true > Struct Template Reference

Partial template specialization for floating point coordinate types. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for BBox< Vec3T, true >:

## Public Types
using | Vec3Type = Vec3T
using | ValueType = typename Vec3T::ValueType
using | BaseT = BaseBBox< Vec3T >

## Public Member Functions
| BBox ()
| BBox (const Vec3T &min, const Vec3T &max)
| BBox (const Coord &min, const Coord &max)
| BBox (const BaseBBox< Coord > &bbox)
bool | empty () const
Vec3T | dim () const
bool | isInside (const Vec3T &p) const
bool | operator== (const BaseBBox &rhs) const
bool | operator!= (const BaseBBox &rhs) const
const Vec3T & | operator[] (int i) const
Vec3T & | operator[] (int i)
Vec3T & | min ()
const Vec3T & | min () const
Vec3T & | max ()
const Vec3T & | max () const
Coord & | translate (const Vec3T &xyz)
BaseBBox & | expand (const Vec3T &xyz)
bool | isInside (const Vec3T &xyz)

## Public Attributes
Vec3T | mCoord [2]

## Detailed Description

template<typename Vec3T>
struct nanovdb::BBox< Vec3T, true >

Partial template specialization for floating point coordinate types.

Note
  Min is inclusive and max is exclusive. If min = max the dimension of the bounding box is zero and therefore it is also empty.

## Member Typedef Documentation

## ◆ BaseT

using BaseT = BaseBBox<Vec3T>

## ◆ ValueType

using ValueType = typename Vec3T::ValueType

## ◆ Vec3Type

using Vec3Type = Vec3T

## Constructor & Destructor Documentation

## ◆ BBox() [1/4]

BBox | ( |  | ) |
| inline

## ◆ BBox() [2/4]

BBox | ( | const Vec3T & | min,
|  | const Vec3T & | max
| ) |  |
| inline

## ◆ BBox() [3/4]

BBox | ( | const Coord & | min,
|  | const Coord & | max
| ) |  |
| inline

## ◆ BBox() [4/4]

BBox | ( | const BaseBBox< Coord > & | bbox | ) |
| inline

## Member Function Documentation

## ◆ dim()

Vec3T dim | ( |  | ) | const
| inline

## ◆ empty()

bool empty | ( |  | ) | const
| inline

## ◆ expand()

BaseBBox & expand | ( | const Vec3T & | xyz | ) |
| inlineinherited

## ◆ isInside() [1/2]

bool isInside | ( | const Vec3T & | p | ) | const
| inline

## ◆ isInside() [2/2]

bool isInside | ( | const Vec3T & | xyz | ) |
| inlineinherited

## ◆ max() [1/2]

Vec3T & max | ( |  | ) |
| inlineinherited

## ◆ max() [2/2]

const Vec3T & max | ( |  | ) | const
| inlineinherited

## ◆ min() [1/2]

Vec3T & min | ( |  | ) |
| inlineinherited

## ◆ min() [2/2]

const Vec3T & min | ( |  | ) | const
| inlineinherited

## ◆ operator!=()

bool operator!= | ( | const BaseBBox< Vec3T > & | rhs | ) | const
| inlineinherited

## ◆ operator==()

bool operator== | ( | const BaseBBox< Vec3T > & | rhs | ) | const
| inlineinherited

## ◆ operator[]() [1/2]

Vec3T & operator[] | ( | int | i | ) |
| inlineinherited

## ◆ operator[]() [2/2]

const Vec3T & operator[] | ( | int | i | ) | const
| inlineinherited

## ◆ translate()

Coord & translate | ( | const Vec3T & | xyz | ) |
| inlineinherited

## Member Data Documentation

## ◆ mCoord

Vec3T mCoord[2]